#!/bin/sh

############################################################################
#
#  Source Name : yum_su.sh
#  Option      : No option.
#  Result Code : 0    -> No errors occurred.
#                128  -> Did not agree to install library.
#                129  -> Failed to install library.
#                130  -> OS is not 64 bit.
#
############################################################################

MACHINE_NAME=`uname -m`
REDHAT_YUM_COMMAND='yum -y --quiet install'

REDHAT_DEPENDENT_LIBRARIES=( )

# libusb-0.1
if [ ! -e "/lib64/libusb-0.1.so.4" ]; then
	REDHAT_DEPENDENT_LIBRARIES+=("libusb")
fi

MAX_IDX=`expr ${#REDHAT_DEPENDENT_LIBRARIES[*]} - 1`

# display install packages.
echo ''
if [ ${MACHINE_NAME} == 'x86_64' ]; then
	for i in ${REDHAT_DEPENDENT_LIBRARIES[@]}; do
		echo "${i}"
	done

	echo ''
	echo -n 'Are you sure to install dependent packages above?[y/n] :'
	read ch
	ch=`echo ${ch} | tr '[:upper:]' '[:lower:]'`
	if [ "${ch}" = 'y' -o "${ch}" = 'yes' ]; then

		# install packages.
		for i in `seq 0 ${MAX_IDX}`
		do
			if [ -n "${REDHAT_DEPENDENT_LIBRARIES[${i}]}" ]; then
				# 64bitOS && 64bit library is not null charactor.
				echo "Installing ${REDHAT_DEPENDENT_LIBRARIES[${i}]}..."
				${REDHAT_YUM_COMMAND} ${REDHAT_DEPENDENT_LIBRARIES[${i}]}
				if [ $? -ne 0 ]; then
					echo "Failed to install ${REDHAT_DEPENDENT_LIBRARIES[${i}]} ."
					exit 129
				fi
			fi
		done
	else
		echo "Canceled"
		exit 128
	fi
else
	echo "Failed"
	exit 130
fi

exit 0

